<?php 

//Custom Style Frontend
if(!function_exists('ronmi_color_scheme')){
    function ronmi_color_scheme(){
        $color_scheme = '';

        //Main Color
        if( !empty( ronmi_get_option('main_color') ) && ronmi_get_option('main_color') != '#00776e' ){
            $color_scheme .= 
            '
            :root {
                --ronmi-color-primary: '.ronmi_get_option('main_color').';
            }

        	/*Background Color*/
            .widget-area .widget_categories ul li a:before,
            .widget-area .widget_product_categories ul li a:before,
            .widget-area .widget_archive ul li a:before,
            .woocommerce-product-details__short-description ul li:before{background-color:'.ronmi_get_option('main_color').';}

            /*Border Color*/
            .ot-slider .ot-dots-custom .owl-dot.active, 
            .ot-slider .ot-dots-custom .owl-dot:hover,
            .projects-grid.style-4 .projects-box .portfolio-info, 
            .ot-project-slider.style-4 .projects-box .portfolio-info,
            .woocommerce-message,
            .woocommerce-info{border-color:'.ronmi_get_option('main_color').';}
            .mobile_nav .mobile_mainmenu li a,
            .post-box:not(.has-post-thumbnail, .format-gallery, .format-image, .format-video) .post-inner, 
            .post-box.format-audio .post-inner, 
            .post-box.format-link .post-inner, 
            .post-box.format-quote .post-inner,
            .page-pagination li a:not(.prev, .next), .page-pagination li span,
            .blog-post .tagcloud a,
            .post-nav,
            .post-nav a,
            .widget .tagcloud a,
            .search-form .search-field,
            .author-widget_social a, .blog-post .share-post a,
            .ot-process-box__divider,
            .ot-service-infobox,
            .ot-progress-line__inner,
            .ot-pricing-table__divider span,
            .woocommerce .woocommerce-ordering .orderby,
            .woocommerce ul.products li.product .product-media, 
            .woocommerce-page ul.products li.product .product-media,
            .woocommerce table.shop_attributes th, 
            .woocommerce table.shop_attributes td,
            .woocommerce div.product form.cart,
            .woocommerce table.shop_table.cart tbody tr:not(:last-child),
            #add_payment_method table.cart img, .woocommerce-cart table.cart img,
            .woocommerce-checkout table.cart img,
            .woocommerce .site ul.product_list_widget li .widget-prthumb,
            .woocommerce .widget_shopping_cart ul.cart_list li img,
            .woocommerce.widget_shopping_cart ul.cart_list li img,
            .woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content{border-color: '.hex2rgba(ronmi_get_option('main_color'), 0.2).';}
            .post-box .link-box,
            .post-box .quote-box .quote-text,
            .blog-post .entry-footer,
            .ot-acc-item,
            .ot-testimonial__item .ot-tdivider span{border-color: '.hex2rgba(ronmi_get_option('main_color'), 0.1).';}

            /*Color*/
            .ot-tabs__content ul li:before,
            .ot-tabs__content ol li:before,
            .ot-testimonial-vertical .ot-testimonial__item .ot-tquote:after,
            .woocommerce-message:before{color: '.ronmi_get_option('main_color').';}

			';
        }

        //Second Color
        if( !empty( ronmi_get_option('second_color') ) && ronmi_get_option('second_color') != '#9a644b' ){
            $color_scheme .= 
            '
            :root {
                --ronmi-color-second: '.ronmi_get_option('second_color').';
            }

            /*Background Color*/
            .widget-area .widget_categories ul li a:hover:before,
            .widget-area .widget_product_categories ul li a:hover:before,
            .widget-area .widget_archive ul li a:hover:before,
            .woocommerce div.product .woocommerce-tabs ul.tabs li a:before{background-color:'.ronmi_get_option('second_color').';}

            /*Border Color*/
            .page-pagination li span, 
            .page-pagination li a:hover,
            blockquote{border-color:'.ronmi_get_option('second_color').';}
            .ot-progress-circle__inner:after{border-color: '.hex2rgba(ronmi_get_option('second_color'), 0.2).';}

            /*Color*/
            blockquote:before{color: '.ronmi_get_option('second_color').';}

            ';
        }

        if(! empty($color_scheme)){
			echo '<style type="text/css">'.$color_scheme.'</style>';
		}
    }
}
add_action('wp_head', 'ronmi_color_scheme');